> This page is for Developer.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.bigcommerce.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.bigcommerce.com/_mcp/server.

# Update Channel

PUT https://api.bigcommerce.com/stores/{store_hash}/v3/channels/{channel_id}
Content-Type: application/json

Updates a *Channel*.

## Updatable Fields

The following fields can be updated.
* `name`
* `external_id`
* `status`
* `is_listable_from_ui`
* `is_visible`


> #### Note
> * Partial updates are supported. In most cases, if a field that *cannot* be updated is passed in, the API **will not** respond with an error. It returns a 200 response with the object, in which you will see the field(s) were not updated.
> * `platform` and `type` cannot be updated after a channel is created.
> * A channel with status `deleted` or `terminated` cannot be updated.

Reference: https://docs.bigcommerce.com/developer/api-reference/rest/admin/management/channels/update-channel

## Authentication

- `X-Auth-Token` header (required) — ### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Channel Listings | modify | `store_channel_listings` | | Channel Listings | read-only | `store_channel_listings_read_only` | | Channel Settings | modify | `store_channel_settings` | | Channel Settings | read-only | `store_channel_settings_read_only` | | Sites & Routes | modify | `store_sites` | | Sites & Routes | read-only | `store_sites_read_only` | ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

## Request

### Path parameters

- `channel_id` (long, required) — The ID of a channel.
- `store_hash` (string, required) — Permanent ID of the BigCommerce store.

### Headers

- `Accept` (string, required, default: application/json) — The [MIME type](https://developer.mozilla.org/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types) of the response body.

### Body (application/json)

This endpoint expects an UpdateChannelReq.

- `external_id` (string, optional) — Associated ID within a system / platform outside of BC.
- `is_listable_from_ui` (boolean, optional) — Indicates if a channel can create listings from the BigCommerce UI. Default value for this field is based on the channel type and platform combination if not specified on create.
- `is_visible` (boolean, optional) — Indicates if a channel is visible in the BigCommerce control panel. If `false`, the channel will not show in Channel Manager or in channels dropdowns elsewhere in the UI. Default value for this field is `true` if not specified on create.
- `name` (string, optional) — Name of the channel as it will appear in the store control panel. The only characters it can include are Latin alphabet letters, Arabic numerals, dashes, and underscores.
- `status` (enum, optional) — The status of the channel; channel `type`, `platform`, and `status` must be a [valid combination](/developer/api-reference/rest/admin/management/channels#status). `terminated` is not valid for `PUT` or `POST` requests. `deleted` is not valid for `POST` requests. `prelaunch` is not valid for `PUT` requests.
  - Allowed values: `active`, `prelaunch`, `inactive`, `connected`, `disconnected`, `archived`, `deleted`, `terminated`

## Response

### 200

The requested channel.

- `data` (ChannelWithoutCurrencies, optional)
- `meta` (EmptyMeta, optional) — Response metadata.

## Errors

### 404 Not Found Error

A *Channel* with the provided ID was not found.

- `status` (integer, optional) — The HTTP status code for the error.
- `title` (string, optional) — The error title describing the particular error.
- `type` (string, optional) — The error type.
- `errors` (ErrorDetail, optional) — Error detail response payload for the BigCommerce API.

### 409 Conflict Error

A *Channel* with the same combination of `name`, `platform`, and `type` already exists.

- `status` (integer, optional) — The HTTP status code for the error.
- `title` (string, optional) — The error title describing the particular error.
- `type` (string, optional) — The error type.
- `errors` (ErrorDetail, optional) — Error detail response payload for the BigCommerce API.

### 422 Unprocessable Entity Error

When an invalid value or invalid field is submitted, a 422 response will be sent. Note that attempt to update a deleted or terminated channel will also result in 422 response.

- `status` (integer, optional) — The HTTP status code for the error.
- `title` (string, optional) — The error title describing the particular error.
- `type` (string, optional) — The error type.
- `errors` (ErrorDetail, optional) — Error detail response payload for the BigCommerce API.

## Types

### ChannelWithoutCurrencies

- `id` (long, required) — The ID of the channel.
- `name` (string, required) — Name of the channel as it will appear in the store control panel. The only characters it can include are Latin alphabet letters, Arabic numerals, dashes, and underscores.
- `external_id` (string, optional) — Associated ID within a system / platform outside of BC.
- `is_listable_from_ui` (boolean, optional) — Indicates if a channel can create listings from the BigCommerce UI. Default value for this field is based on the channel type and platform combination if not specified on create.
- `is_visible` (boolean, optional) — Indicates if a channel is visible in the BigCommerce control panel. If `false`, the channel will not show in Channel Manager or in channels dropdowns elsewhere in the UI. Default value for this field is `true` if not specified on create.
- `status` (enum, optional) — The status of the channel; channel `type`, `platform`, and `status` must be a [valid combination](/developer/api-reference/rest/admin/management/channels#status). `terminated` is not valid for `PUT` or `POST` requests. `deleted` is not valid for `POST` requests. `prelaunch` is not valid for `PUT` requests.
  - Allowed values: `active`, `prelaunch`, `inactive`, `connected`, `disconnected`, `archived`, `deleted`, `terminated`
- `type` (enum, optional) — The type of channel; channel `platform` and `type` must be a [valid combination](/developer/api-reference/rest/admin/management/channels#status).
  - Allowed values: `pos`, `marketplace`, `storefront`, `marketing`
- `platform` (string, optional) — The name of the platform for the channel; channel `platform` and `type` must be a [valid combination](/developer/api-reference/rest/admin/management/channels#status).
- `date_created` (datetime, optional) — Date on which the channel was first created.
- `date_modified` (datetime, optional) — Date on which the channel was most recently changed.
- `icon_url` (string, optional) — Link to the platform icon.
- `is_enabled` (boolean, optional, deprecated) — This deprecated field was originally used to enable or disable a channel. Use the `status` field instead of `is_enabled`. If the channel status is `prelaunch`, `active`, or `connected`, then `is_enabled` will be `true`. If the status is `inactive`, `disconnected`, `archived`, `deleted`, or `terminated`, then `is_enabled` will be false.

### EmptyMeta

Response metadata.

### ErrorDetail

Error detail response payload for the BigCommerce API.

## Examples

**Request**

```json
{
  "is_listable_from_ui": false,
  "name": "Facebook by Meta",
  "status": "connected"
}
```

**Response**

```json
{
  "data": {
    "id": 667159,
    "name": "ebay",
    "external_id": "",
    "is_listable_from_ui": false,
    "is_visible": true,
    "status": "connected",
    "type": "marketplace",
    "platform": "ebay",
    "date_created": "2021-05-13T15:41:39Z",
    "date_modified": "2021-05-13T15:41:39Z",
    "icon_url": "https://storage.googleapis.com/bigcommerce-production-dev-center/images/ebay_icon.png"
  },
  "meta": {}
}
```

**SDK Code**

```python Channel
import requests

url = "https://api.bigcommerce.com/stores/store_hash/v3/channels/1"

payload = {
    "is_listable_from_ui": False,
    "name": "Facebook by Meta",
    "status": "connected"
}
headers = {
    "Accept": "application/json",
    "X-Auth-Token": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.json())
```

```javascript Channel
const url = 'https://api.bigcommerce.com/stores/store_hash/v3/channels/1';
const options = {
  method: 'PUT',
  headers: {
    Accept: 'application/json',
    'X-Auth-Token': '<apiKey>',
    'Content-Type': 'application/json'
  },
  body: '{"is_listable_from_ui":false,"name":"Facebook by Meta","status":"connected"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Channel
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.bigcommerce.com/stores/store_hash/v3/channels/1"

	payload := strings.NewReader("{\n  \"is_listable_from_ui\": false,\n  \"name\": \"Facebook by Meta\",\n  \"status\": \"connected\"\n}")

	req, _ := http.NewRequest("PUT", url, payload)

	req.Header.Add("Accept", "application/json")
	req.Header.Add("X-Auth-Token", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Channel
require 'uri'
require 'net/http'

url = URI("https://api.bigcommerce.com/stores/store_hash/v3/channels/1")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Put.new(url)
request["Accept"] = 'application/json'
request["X-Auth-Token"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"is_listable_from_ui\": false,\n  \"name\": \"Facebook by Meta\",\n  \"status\": \"connected\"\n}"

response = http.request(request)
puts response.read_body
```

```java Channel
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.put("https://api.bigcommerce.com/stores/store_hash/v3/channels/1")
  .header("Accept", "application/json")
  .header("X-Auth-Token", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{\n  \"is_listable_from_ui\": false,\n  \"name\": \"Facebook by Meta\",\n  \"status\": \"connected\"\n}")
  .asString();
```

```php Channel
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PUT', 'https://api.bigcommerce.com/stores/store_hash/v3/channels/1', [
  'body' => '{
  "is_listable_from_ui": false,
  "name": "Facebook by Meta",
  "status": "connected"
}',
  'headers' => [
    'Accept' => 'application/json',
    'Content-Type' => 'application/json',
    'X-Auth-Token' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Channel
using RestSharp;

var client = new RestClient("https://api.bigcommerce.com/stores/store_hash/v3/channels/1");
var request = new RestRequest(Method.PUT);
request.AddHeader("Accept", "application/json");
request.AddHeader("X-Auth-Token", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"is_listable_from_ui\": false,\n  \"name\": \"Facebook by Meta\",\n  \"status\": \"connected\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Channel
import Foundation

let headers = [
  "Accept": "application/json",
  "X-Auth-Token": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [
  "is_listable_from_ui": false,
  "name": "Facebook by Meta",
  "status": "connected"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.bigcommerce.com/stores/store_hash/v3/channels/1")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PUT"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```